<?php
 session_start();
    
   include("../jdf.php");
    
 $endDate = $_POST['eyear']."-".$_POST['emonth']."-".$_POST['eday'];
 $startDate = $_POST['year']."-".$_POST['month']."-".$_POST['day']; 
  
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 
<html xmlns="http://www.w3.org/1999/xhtml">
<title>Customer Payment List</title>
<head>
   <link rel="icon" href="../images/favicon.ico" type="image/png"/>  
   <link rel="stylesheet" href="table_style/table_style7.css">
   <link href="../css/pagenation.css" rel="stylesheet" type="text/css" /> 

<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="../css/print.css" /> 
<!-- ===================ÇíÌÇÏ íÇã ÈÑÇí æíÑÇíÔ ÝÇíá====================================-->
<script type="text/javascript" src="../change/edite/revenue_edite.js"></script> 
<script type="text/javascript" src="../change/delete/revenue_delete.js"></script>
 
<!--======================= ÇíÇä  ============================================================-->
 <style>
 a:link {
    text-decoration: none;
	color: #000;
}

 a:hover {
    color: red;
	text-decoration: underline;
}
a:active {
     
    color: #000;
}

@font-face {
	  font-family: 'hekmat';
	  src: url('../font/BHoma.ttf'); /* IE */
      src: local('BHoma-Bold'), url('../font/BHoma.ttf') format('truetype'); /* non-IE */
      font-weight:normal;
}
.font{
    color: #000;
    font-family: 'hekmat';  

}
@media print {

   .dontPrint {
       display:none;
    }

    }
	
	@media all{
.page-break{display:none;}
}
@media print{
.page-break{display:block;page-break-after:always;}
.dote img {visibility: visible;}
}
 
@page 
{
   size: auto;   /* auto is the initial value */
    margin: 3mm;  /* this affects the margin in the printer settings */
 }
  @media print {
    html, body {
        height: 99%;    
    }
}
 </style>

</head>
	<body onkeydown = "onKeyDown()" onKeyPress="return disableEnterKey(event)">
 <?php  //include("r_c_d_s_p/back_print_save_refresh.php"); ?>
<div id="wrap">
<table border="0" align="center"   width="930px" dir="rtl" class="font">
		<tr>
			<th style="width:166px;text-align:right">
			   
				 
			
			
			
			
			<?php 
			       
			  
			 /*  if(isset( $startDate) and isset( $endDate)){
			  
			  
			  
				  echo '</th>
				<th style="width:206px"><h3>صرافی عبدالحکیم و برادران</h3>لیست پرداختی&nbsp;'. ucfirst($customerName);
			    
				echo "<br><span style='color:green'>از </span>".$startDate.'<span style="color:green"> TO </span>'.$endDate.'</td>';
				}
			  
			  else{
			   
			     echo '</th>
			     <th style="width:206px"><h2>صرافی عبدالحکیم و برادران</h2>لیست پرداختی&nbsp;'.ucfirst($customerName);
			      echo '</br> '.pdate("Y-m-d" ).'</th>';
			  } */
			  ?>
			
			<th style="width:186px;text-align:left" ><img src="img/tash.png" width="130" height="130"   ></th>
			 
		</tr>
		</table> 

 <div id='content'>
 
  <?php
   if($_POST['submit']){
     
	$endDate = $_POST['eyear']."-".$_POST['emonth']."-".$_POST['eday'];
    $startDate = $_POST['year']."-".$_POST['month']."-".$_POST['day'];
	 
	 $currencyId=$_POST['counterCurrency']; 
	 $currencyChekc=$currencyId;
	 
	 $expenses=$_POST['income'];
 	
    include("db.php");
	$tableName="others";		
	$targetpage = "incomeReport.php"; 	
	$limit = 12; 
	//====================================================================
	if(isset($startDate) and isset($endDate) and $expenses=="all" and $currencyId=="all"   ){
	 $sql="SELECT COUNT(*) as num FROM `$tableName` where   typeOthers='2'  and (date >='$startDate' AND date <='$endDate')";
	}
    if(isset($startDate) and isset($endDate) and $expenses!="all" and $currencyId!="all"  ){
	  $sql="SELECT COUNT(*) as num FROM `$tableName` where expensesId='$expenses' and currencyId='$currencyId' and  typeOthers='2' and (date >='$startDate' AND date <='$endDate')";
	}
	if(isset($startDate) and isset($endDate) and $expenses=="all" and $currencyId!="all"  ){
	 $sql="SELECT COUNT(*) as num FROM `$tableName` where   currencyId='$currencyId' and  typeOthers='2' and (date >='$startDate' AND date <='$endDate') ";
	}
	if(isset($startDate) and isset($endDate) and $expenses!="all" and $currencyId=="all"  ){
	  $sql="SELECT COUNT(*) as num FROM `$tableName` where expensesId='$expenses'   and  typeOthers='2' and (date >='$startDate' AND date <='$endDate')";
	}  
	//========================================================================
	$query= $db ->query($sql);
	$total_pages= $query ->fetch_array();
	
	 
	$total_pages = $total_pages[num];
	
	$stages = 3;
	$page = mysql_escape_string($_GET['page']);
	if($page){
		$start = ($page - 1) * $limit; 
	}else{
		$start = 0;	
		}	
	//================================================inter page cods HERE===============================================
    // Get page data
		
	  //echo "<div id='content'>";
	
	  echo'
			<table id="box-table-a"   dir="rtl"  align="center" >
	        <thead> 
				<th scope="col">شماره</th>
				<th scope="col">تاریخ</th>
				<th scope="col">توضیحات</th>
				<th scope="col">نوع عواید</th>
				<th scope="col">نوعیت پول</th>
				<th scope="col">مقدار</th>
				
				
				 
			 
			</thead>
				 ';
    // Get page data
	 echo "<div id='content'>";
	  
			                include('db.php');
				            

						  
						 //================================================================
					     if(isset($startDate) and isset($endDate) and $expenses=="all" and $currencyId=="all" ){
						  $mony_sql="SELECT   *  FROM `$tableName` where   typeOthers='2'   and (date >='$startDate' AND date <='$endDate')    LIMIT $start, $limit";
						 }
						 
						if(isset($startDate) and isset($endDate) and $expenses!="all" and $currencyId!="all"  ){
						 $mony_sql="SELECT   *  FROM `$tableName` where expensesId='$expenses' and currencyId='$currencyId' and  typeOthers='2' and (date >='$startDate' AND date <='$endDate') LIMIT $start, $limit";
						 }
						if(isset($startDate) and isset($endDate) and $expenses=="all" and $currencyId!="all"  ){
						  $mony_sql="SELECT   *  FROM `$tableName` where    currencyId='$currencyId' and  typeOthers='2' and (date >='$startDate' AND date <='$endDate')  LIMIT $start, $limit";
						 }
						if(isset($startDate) and isset($endDate) and $expenses!="all" and $currencyId=="all"  ){
						 $mony_sql="SELECT   *  FROM `$tableName` where  expensesId='$expenses'   and  typeOthers='2' and (date >='$startDate' AND date <='$endDate')  LIMIT $start, $limit";
						 }
						 //==============================================================
						 $mony_query= $db ->query($mony_sql);
				  
						  
                          while($nrow=$mony_query ->fetch_array()){
						    $ii++;
							$id = $nrow['id'];
							 
							$date= $nrow['date'];
							$expensesId= $nrow['expensesId'];
							$currencyId= $nrow['currencyId'];
							$amount= $nrow['amount'];
							$description= $nrow['description'];
						     
							
						 
							 
							 
							 
							//=============================================================
							 
							 
							//******************************Currency Name*******************************
							 $expenses_sql="select incomeName from  `incomename` where id='$expensesId'";
							 $expenses_query=$db ->query($expenses_sql);
							 $expneses_row=$expenses_query ->fetch_array();
							 $expneses=$expneses_row['incomeName'];	
							//=============================================================
							 //******************************Base Courrency*******************************
							 $currency_sql="select name from  `currencies` where id='$currencyId'";
							 $currency_query=$db ->query($currency_sql);
							 $currency_row=$currency_query ->fetch_array();
							 $currency=$currency_row['name'];	
							//=============================================================
							 
							    
						    //**************************************************************************************************   
							 
			$totalAmount+=$amount;				 
			echo "<tbody>
			<tr>
			<td>".$ii."</td>
			<td>".$date."</td>
			<td>".$description."</td> 
			<td>".$expneses."</td>
			<td>".$currency."</td>";
			if($amount<0){
			 echo "<td dir='ltr' style='color: red'>".number_format($amount)."</td>";
             }			
			 if($amount>0){
			 echo "<td dir='ltr'  >".number_format($amount)."</td>";
             }			
			 
			 
			echo" </tr>";					  
				 	  } 
					  
		 echo '<tr>';
		 if($currencyChekc!="all"){
		        echo "<td colspan='5' style='background: #99ff99'>مجموع</td>";
				echo "<td style='background: #99ff99' dir='ltr'>$totalAmount</td>";
		 
		 }
		 
		echo' </table>';
		 
              	
	 echo "<br></div>";
//====================================================================================================================
	// Initial page num setup
	if ($page == 0){$page = 1;}
	$prev = $page - 1;	
	$next = $page + 1;							
	$lastpage = ceil($total_pages/$limit);		
	$LastPagem1 = $lastpage - 1;					
	
	
	$paginate = '';
	if($lastpage > 1)
	{	
	

	
	
		$paginate .= "<div class='paginate'>";
		// Previous
		if ($page > 1){
			$paginate.= "<a href='$targetpage?page=$prev'>previous</a>";
		}else{
			$paginate.= "<span class='disabled'>previous</span>";	}
			

		
		// Pages	
		if ($lastpage < 7 + ($stages * 2))	// Not enough pages to breaking it up
		{	
			for ($counter = 1; $counter <= $lastpage; $counter++)
			{
				if ($counter == $page){
					$paginate.= "<span class='current'>$counter</span>";
				}else{
					$paginate.= "<a href='$targetpage?page=$counter'>$counter</a>";}					
			}
		}
		elseif($lastpage > 5 + ($stages * 2))	// Enough pages to hide a few?
		{
			// Beginning only hide later pages
			if($page < 1 + ($stages * 2))		
			{
				for ($counter = 1; $counter < 4 + ($stages * 2); $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter'>$counter</a>";}					
				}
				$paginate.= "...";
				$paginate.= "<a href='$targetpage?page=$LastPagem1'>$LastPagem1</a>";
				$paginate.= "<a href='$targetpage?page=$lastpage'>$lastpage</a>";		
			}
			// Middle hide some front and some back
			elseif($lastpage - ($stages * 2) > $page && $page > ($stages * 2))
			{
				$paginate.= "<a href='$targetpage?page=1'>1</a>";
				$paginate.= "<a href='$targetpage?page=2'>2</a>";
				$paginate.= "...";
				for ($counter = $page - $stages; $counter <= $page + $stages; $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter'>$counter</a>";}					
				}
				$paginate.= "...";
				$paginate.= "<a href='$targetpage?page=$LastPagem1'>$LastPagem1</a>";
				$paginate.= "<a href='$targetpage?page=$lastpage'>$lastpage</a>";		
			}
			// End only hide early pages
			else
			{
				$paginate.= "<a href='$targetpage?page=1'>1</a>";
				$paginate.= "<a href='$targetpage?page=2'>2</a>";
				$paginate.= "...";
				for ($counter = $lastpage - (2 + ($stages * 2)); $counter <= $lastpage; $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter'>$counter</a>";}					
				}
			}
		}
					
				// Next
		if ($page < $counter - 1){ 
			$paginate.= "<a href='$targetpage?page=$next'>next</a>";
		}else{
			$paginate.= "<span class='disabled'>next</span>";
			}
			
		$paginate.= "</div>";		
	
	
}
 
 echo $paginate;
 die;
}

?>
<!--==========================================================================================-->  
<!--==========================================================================================-->  
<!--==========================================================================================-->  
	<?php  
	    
   include("db.php");
	 
    $customer_id = $_SESSION['customar_code'];
	 
    
	 
	  echo'
			<table id="box-table-a"   dir="ltr"  align="center" >
	        <thead> 
				<th scope="col">شماره</th>
				<th scope="col">تاریخ</th>
				<th scope="col">مقدار</th>
				<th scope="col">شماره سند</th>
				<th scope="col">واحد پولی</th>
				<th scope="col">نرخ دلار</th>
				<th scope="col">مجموع به دلار</th>
				 
				 
				 
				<th scope="col"><span class="dontPrint">ویرایش</span></th>
			 
				<th scope="col" ><span class="dontPrint">سند پرداختی</span></th>
				 
			</thead>
				 ';
    // Get page data
	 echo "<div id='content'>";
	  
			                include('db.php');
				            

						 

							
						 $table_name="customerpayment";
						 
					 
						 $mony_sql="SELECT   *  FROM `customerpayment` where customerId='$customer_id' and transacttype='1' and  remove='0'   ORDER BY `date`    ";
						 $mony_query= $db ->query($mony_sql);
				  
						  
                          while($nrow=$mony_query ->fetch_array()){
						    $ii++;
							$id = $nrow['id'];
							$customerId = $nrow['customerId'];
							$date= $nrow['date'];
							$referenceNo= $nrow['referenceNo'];
							$transactCurrency= $nrow['transactCurrency'];
							$amount= $nrow['amount'];
							$description= $nrow['description'];
							$dollarRate= $nrow['dollarRate'];
							$dollarTotal= $nrow['dollarTotal'];
							
							 
							 
							 
							//=============================================================
							 
							 
							//******************************Currency Name*******************************
							 $currency_sql="select name from  `currencies` where id='$transactCurrency'";
							 $currency_query=$db ->query($currency_sql);
							 $currency_row=$currency_query ->fetch_array();
							 $currency=$currency_row['name'];	
							//=============================================================
							//******************************Currency Name*******************************
							 $sumDollar_sql="select sum(dollarTotal) from  `customerpayment` where customerId='$customer_id' and transacttype='1' and  remove='0'";
							 $sumDollar_query=$db ->query($sumDollar_sql);
							 $sumDollar_row=$sumDollar_query ->fetch_array();
							 $sumDollar=$sumDollar_row['sum(dollarTotal)'];	
							//=============================================================
                             
							    
						    //**************************************************************************************************   
							 
			echo "<tbody>
			<tr>
			<td>".$ii."</td>
			<td>".$date."</td>
			<td>".$amount."</td>
			<td>".$referenceNo."</td> 
			<td>".$currency."</td> 
			<td>".number_format($dollarRate,2)."</td>
			<td>".number_format($dollarTotal,2) ."</td>
			 
			 
			 
			<td>
				  <a  href='edite/customer_demand_edit.php?editID=".$editID." & id=".$nrow['id']." & table=".$table_name."' onclick='return revenue_edite()'><img alt='Submit' src='img/edit.png' class='dontPrint'></a>
			</td>
			
			<td>
				 <a  href='voucher.php?id=".$nrow['id']." ' ><img alt='Submit' src='img/voucher.png' class='dontPrint'></a>
			</td> 
			 </tr>";					  
				 	  } 
		 echo '<tr style="color: red">
             <td colspan="13"  style="text-align: right;"><hr style="border:1px solid #000;"> 
			 
			   		 
			       <table border="0"  align="right" width="350px"  >
				    
				   <tr>
						<td style="border: hidden"><sapn style="color: #000;font-weight: bold;font-size: 16px">مجموع پرداختی به دلار: &nbsp;&nbsp;&nbsp;'.number_format($sumDollar,2).'</span></td>
			            <td style="border: hidden">&nbsp;</td>
				   </tr>
				   
			       </table>
			 
			 
			 </td>';
			 
		 
	 echo'    	</table>';
	 			 			
  ?> 
	
			
 </tbody></table>
</div>
</div>  
 </body>
 </form>
 </html>  
  
 
     